#!/bin/bash
#set -x
set -e

echoPrefix="\033[36m+"
echoSuffix="\033[0m"

codePath=/home/www/deploy/wms8_ztf_2
serverUrl=http://127.0.0.1:8098

deploy() {
  # 更新代码
  echo -e "$echoPrefix cd $codePath/wms-ui-mobile $echoSuffix"
  cd $codePath/wms-ui-mobile
  echo -e "$echoPrefix git checkout . $echoSuffix"
  git checkout .
  echo -e "$echoPrefix git pull $echoSuffix"
  git pull
}

cmd=$1
if [ "$cmd" == "deploy" ];then
  deploy
else
  echo "使用 deploy 命名打包pda"
fi

# 中通服 PDA
# bash <(curl -s http://git.yvanui.com/lizhiwei/jztd-deploy/raw/master/hua_wei_yun/09wms-ztf-pad-test.sh) [cmd]
